DRM_GEM_CMA_DUMB_CRE(9)

NAME
drm_gem_cma_dumb_create_internal - create a dumb buffer object

SYNOPSIS

int drm_gem_cma_dumb_create_internal(struct drm_file * file_priv, struct drm_device * drm, struct drm_mode_create_dumb * args);

ARGUMENTS

file_priv
    DRM file-private structure to create the dumb buffer for

drm
    DRM device

args
    IOCTL data

DESCRIPTION

This aligns the pitch and size arguments to the minimum required. This is an internal helper that can be wrapped by a driver to account for hardware with more specific alignment requirements. It should not be used directly as the ->dumb_create callback in a DRM driver.

RETURNS

0 on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT